<?php

/*
Plugin Name: Sidebar Links
Description: Manage your sidebar links (blogroll)
Version: 1.0.2
Author: Rogier Koppejan
Author URI: http://rxgr.nl/getsimple/
*/


# get correct id for plugin
$thisfile = basename(__FILE__, '.php');

# register plugin
register_plugin(
  $thisfile,
  'Sidebar Links',
  '1.0.2',
  'Rogier Koppejan',
  'http://rxgr.nl/getsimple/',
  'Manage your sidebar links (blogroll)',
  'theme',
  'sl_admin'
);

# hooks
add_action('theme-sidebar', 'createSideMenu', array($thisfile, 'Sidebar Links'));
add_action('header', 'sl_header_include');

# language
i18n_merge('sidebar_links') || i18n_merge('sidebar_links', 'en_US');

# definitions
define('SLDATAFILE', GSDATAOTHERPATH . 'links.xml');
define('SLINCPATH', GSPLUGINPATH . 'sidebar_links/inc/');
define('SLTEMPLATEPATH', GSPLUGINPATH . 'sidebar_links/template/');

# includes
require_once(SLINCPATH . 'admin.php');
require_once(SLINCPATH . 'functions.php');


/*******************************************************
 * @function sl_admin
 * @action back-end main function; select action to take
 */
function sl_admin() {
  if (isset($_POST['link'])) {
    sl_save_link();
    sl_admin_panel();
  } elseif (isset($_GET['delete'])) {
    sl_delete_link($_GET['delete']);
    sl_admin_panel();
  } elseif (isset($_GET['edit'])) {
    sl_edit_link($_GET['edit']);
  } else {
    sl_admin_panel();
  }
}


/*******************************************************
 * @function sl_list_links
 * @action front-end function; generates a list of links
 */
function sl_list_links() {
  $links = sl_get_links();
  if (!empty($links)) {
    echo '<ul>';
    foreach ($links as $id=>$link)
      echo '<li><a href="' . $link['url'] . '">' . $link['name'] . '</a></li>';
    echo '</ul>';
  }
}


?>
