<?php if (!defined('IN_GS')) {die('you cannot load this page directly.');}

/**
 * General functions used by the GetSimple Sidebar Links Plugin.
 */

/*******************************************************
 * @function sl_get_links
 * @return array with links currently in database
 */
function sl_get_links() {
  $links = array();
  $data = @getXML(SLDATAFILE);
  if (!empty($data)) {
    foreach ($data->children() as $child) {
      $id = intval($child->id);
      $name = cl($child->name);
      $url = strval($child->url);
      $links[$id] = array('name'=>$name, 'url'=>$url);
    }
  }
  usort($links, 'link_compare');
  return $links;
}


/*******************************************************
 * @function sl_uniqid
 * @return a new unique link id
 */
function sl_uniqid() {
  $ids = array(0);
  $data = @getXML(SLDATAFILE);
  if (!empty($data)) {
    foreach ($data->children() as $link)
      $ids[] = intval($link->id);
  }
  return max($ids) + 1;
}


/*******************************************************
 * @function sl_display_message
 * @param $msg a string containing the message
 * @param $error if TRUE, show as $msg as error, else as update
 * @action display status messages on back-end pages
 */
function sl_display_message($msg, $error=FALSE) {
  if (isset($msg)) {
    ?>
    <script type="text/javascript">
      $(function() {
        $('div.bodycontent').before('<div class="<?php echo $error ? 'error' : 'updated'; ?>" style="display:block;">'+
          <?php echo json_encode($msg); ?>+'</div>');
        $(".updated, .error").fadeOut(500).fadeIn(500);
      });
    </script>
    <?php
  }
}


/*******************************************************
 * @function sl_header_include
 * @action insert necessary script/style sections into site header
 */
function sl_header_include() {
  ?>
  <script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.8/jquery.validate.min.js"></script>
  <style>
    .invalid {
      color: #D94136;
      font-size: 11px;
      font-weight: normal;
    }
  </style>
  <?php
}


/*******************************************************
 * @function link_compare
 * @action compare two links based on their name
 */
function link_compare($x, $y) {
  return strnatcasecmp($x['name'], $y['name']);
}


?>
